package com.qmth.ops.api.controller.admin;

import com.qmth.ops.api.constants.OpsApiConstants;
import com.qmth.ops.biz.domain.App;
import com.qmth.ops.biz.query.AppQuery;
import com.qmth.ops.biz.service.AppService;
import com.qmth.ops.biz.service.VersionService;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
@RequestMapping(OpsApiConstants.ADMIN_URI_PREFIX + "/app")
public class AppController {

    @Resource
    private AppService appService;

    @Resource
    private VersionService versionService;

    @PostMapping("/query")
    public AppQuery query(AppQuery query) {
        return appService.query(query);
    }

    @PostMapping("/insert")
    public App insert(App app) {
        return appService.insert(app);
    }

    @PostMapping("/update")
    public App update(App app) {
        return appService.update(app);
    }

    @PostMapping("/version/master")
    public App updateMasterVersion(@RequestParam Long id, @RequestParam Long versionId) {
        appService.setMasterVersion(appService.findById(id), versionService.findByid(versionId));
        return appService.findById(id);
    }
}

