package com.qmth.ops.api.controller.admin;

import com.qmth.boot.api.annotation.Aac;
import com.qmth.boot.api.annotation.BOOL;
import com.qmth.ops.api.constants.OpsApiConstants;
import com.qmth.ops.api.dto.CodeNameBean;
import com.qmth.ops.biz.domain.Env;
import com.qmth.ops.biz.domain.EnvType;
import com.qmth.ops.biz.service.EnvService;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.Arrays;
import java.util.List;

@RestController
@RequestMapping(OpsApiConstants.ADMIN_URI_PREFIX + "/env")
public class EnvController {

    @Resource
    private EnvService envService;

    @RequestMapping("/types")
    @Aac(auth = BOOL.FALSE)
    public Object types() {
        return Arrays.stream(EnvType.values()).map(item -> new CodeNameBean(item.getCode(), item.getName())).toArray();
    }

    @PostMapping("/insert")
    public Env insert(Env env) {
        return envService.insert(env);
    }

    @PostMapping("/update")
    public Env update(Env env) {
        return envService.update(env);
    }

    @PostMapping("/list")
    public List<Env> list(Long appId) {
        return envService.list(appId);
    }

}
