package com.qmth.ops.api.controller.admin;

import com.qmth.ops.api.constants.OpsApiConstants;
import com.qmth.ops.biz.domain.Module;
import com.qmth.ops.biz.query.ModuleQuery;
import com.qmth.ops.biz.service.ModuleService;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

@RestController
@RequestMapping(OpsApiConstants.ADMIN_URI_PREFIX + "/module")
public class ModuleController {

    @Resource
    private ModuleService moduleService;

    @PostMapping("/insert")
    public Module insert(Module module) {
        return moduleService.insert(module);
    }

    @PostMapping("/update")
    public Module update(Module module) {
        return moduleService.update(module);
    }

    @PostMapping("/list")
    public List<Module> list(ModuleQuery query) {
        return moduleService.list(query);
    }

}
