package com.qmth.ops.api.controller.admin;

import com.qmth.boot.api.annotation.Aac;
import com.qmth.boot.api.annotation.BOOL;
import com.qmth.boot.core.exception.ParameterException;
import com.qmth.ops.api.constants.OpsApiConstants;
import com.qmth.ops.api.security.AdminSession;
import com.qmth.ops.biz.domain.User;
import com.qmth.ops.biz.service.UserService;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
@RequestMapping(OpsApiConstants.ADMIN_URI_PREFIX + "/user")
public class UserController {

    @Resource
    private UserService userService;

    @PostMapping("/login")
    @Aac(auth = BOOL.FALSE)
    public AdminSession login(User request) {
        User user = userService.findByLoginName(request.getLoginName());
        if (user == null) {
            throw new ParameterException("登录名错误");
        }
        if (!user.buildPassword(request.getPassword()).equals(user.getPassword())) {
            throw new ParameterException("密码错误");
        }
        return new AdminSession(user);
    }
}
