package com.qmth.ops.api.controller.admin;

import com.qmth.ops.api.constants.OpsApiConstants;
import com.qmth.ops.api.controller.binder.VersionNumberBinder;
import com.qmth.ops.biz.domain.Version;
import com.qmth.ops.biz.query.VersionQuery;
import com.qmth.ops.biz.service.AppService;
import com.qmth.ops.biz.service.VersionService;
import com.qmth.ops.biz.utils.VersionNumber;
import org.springframework.web.bind.WebDataBinder;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

@RestController
@RequestMapping(OpsApiConstants.ADMIN_URI_PREFIX + "/version")
public class VersionController {

    @Resource
    private VersionService versionService;

    @Resource
    private AppService appService;

    @InitBinder
    public void initBinder(WebDataBinder dataBinder) {
        dataBinder.addCustomFormatter(new VersionNumberBinder());
    }

    @PostMapping("/insert")
    public Version insert(@RequestParam Long appId, @RequestParam VersionNumber name) {
        return versionService.insert(appService.findById(appId), name);
    }

    @PostMapping("/query")
    public VersionQuery list(VersionQuery query) {
        return versionService.query(query);
    }

    @PostMapping("/update")
    public Version list(Version version) {
        return versionService.update(version);
    }
}
