package com.qmth.ops.api.security;

import com.qmth.boot.core.security.model.AccessEntity;
import com.qmth.boot.tools.models.ByteArray;
import com.qmth.ops.biz.domain.Role;
import com.qmth.ops.biz.domain.User;

public class AdminSession implements AccessEntity {

    private Role role;

    private String session;

    private String token;

    public AdminSession(User user) {
        this.role = user.getRole();
        this.session = user.getId().toString();
        this.token = ByteArray.fromString(user.getLoginName()).toBase64();
    }

    public Role getRole() {
        return role;
    }

    public void setRole(Role role) {
        this.role = role;
    }

    public String getSession() {
        return session;
    }

    public void setSession(String session) {
        this.session = session;
    }

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }

    @Override
    public String getIdentity() {
        return session;
    }

    @Override
    public String getSecret() {
        return token;
    }
}
